Contenu | Rechercher | Menus

Annonce

Les adresses laposte.net ne permettent pas de recevoir nos emails. Vous êtes invité à changer d'adresse dans vos paramètres de compte à votre prochaine connexion.

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 13/11/2012, à 19:03

plexus

pb installation glGo ubuntu 12.04 x64

Bonjour,
je cherche désespérément à installer glGo sur ubuntu 12.04 64 bits
il semblerait qu'il se soit finalement installé... mais j'ai eu de nombreuses erreurs :
j'ai du installer ia32-libs-sdl pour résoudre le problème lié à libSDL-1.2.so.0 introuvable.
j'ai ensuite rencontré le problème décrit dans la doc : (http://doc.ubuntu-fr.org/glgo)
glGo: error while loading shared libraries: libpython2.5.so.1.0: cannot open shared object file: No such file or directory
pour régler ce problème la doc dit : "C'est que vous possedez une version trop récente de lybpython. Pour régler le problème, il faut copier le fichier qui est plus récent (normalement "libpython2.6.so.1.0") et renommer la copie en "libpython2.5.so.1.0"; voir console"
Alors mes questions sont :
a/ "il faut copier le fichier qui est plus récent (normalement "libpython2.6.so.1.0") et renommer la copie en "libpython2.5.so.1.0" : où faut-il le copier ?
- ayant cherché où se trouvaient les fichiers j'ai fait :
----  : sudo cp /usr/lib/libpython2.7.so.1 /usr/lib/libpython2.5.so.1
----  : sudo cp /usr/lib/libpython2.7.so.1.0 /usr/lib/libpython2.5.so.1.0
j'ai bien les 2 fichiers présents dans /usr/lib : libpython2.5.so.1.0 et libpython2.5.so.1
était-ce le bon endroit pour copier ?
b/ si je lance glGo dans un interminal, j'ai maintenant l'erreur :
glGo: error while loading shared libraries: libpython2.5.so.1.0: wrong ELF class: ELFCLASS64.

Merci de votre aide, je sèche là.

Hors ligne